Skip to main content
GET
Retrieve a workflow by ID

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Path Parameters

id
string<uuid>
required

Response

200 - application/json

OK

id
string<uuid>
required
organizationId
string
required
environment
enum<string>
required
Available options:
test,
live
name
string
required
status
enum<string>
required
Available options:
draft,
active,
inactive
workflow
object
required
createdAt
string
required
updatedAt
string
required
description
string
externalId
string
metadata
object
liveWorkflowId
string<uuid> | null
testWorkflowId
string<uuid> | null
promotedAt
string | null
tags
object[]